Marcus Meissner
0f203926a1
- Rename patch: * From 0211-fix_multipath_check_hostonly.patch to 0303-fix_multipath_check_hostonly.patch - Rename patch: * From 0213-10i18n-keymap-find.patch to 0213-Fix-wrong-keymap-inclusion.patch - 95fcoe: Do not complain about missing /etc/hba.conf (bsc#980539) * Add 0215-95fcoe-Do-not-complain-about-missing-etc-hba.conf.patch - 95fcoe: silence lldpad warnings * Add 0216-95fcoe-silence-lldpad-warnings.patch - 95fcoe: Allow to specify the FCoE mode via the fcoe= parameter * Add 0217-95fcoe-Allow-to-specify-the-FCoE-mode-via-the-fcoe-p.patch - 40network: allow persistent interface names (bsc#995284) * Add 0218-40network-allow-persistent-interface-names.patch - 95fcoe: use interface names instead of MAC addresses * Add 0219-95fcoe-use-interface-names-instead-of-MAC-addresses.patch - 95fcoe: always set AUTO_VLAN for fcoemon (bsc#995019) * Add 0220-95fcoe-always-set-AUTO_VLAN-for-fcoemon.patch - 95fcoe: Add shutdown script (bsc#994860) * Add 0221-95fcoe-Add-shutdown-script.patch - 90dm: Fixup shutdown script (bsc#994860) * Add 0222-90dm-Fixup-shutdown-script.patch - 90dm: fixup dependency cycle between MD and DM shutdown (bsc#994860) * Add 0223-90dm-fixup-dependency-cycle-between-MD-and-DM-shutdo.patch - 90multipath: Start daemon after udev settle (bsc#986734) * Add 0304-90multipath-Start-daemon-after-udev-settle.patch - 90multipath: load dm_multipath module during startup * Add 0305-90multipath-load-dm_multipath-module-during-startup.patch - 90multipath: add shutdown script (bsc#994860) OBS-URL: https://build.opensuse.org/request/show/422869 OBS-URL: https://build.opensuse.org/package/show/Base:System/dracut?expand=0&rev=263
44 lines
1.1 KiB
Diff
44 lines
1.1 KiB
Diff
From 3944cdfd4d99c3d7cd8e801f786e75ed6d254e51 Mon Sep 17 00:00:00 2001
|
|
From: Thomas Renninger <trenn@suse.com>
|
|
Date: Tue, 23 Aug 2016 12:33:34 +0200
|
|
Subject: 95iscsi: Wait for session on all paths
|
|
|
|
References: bsc#951003
|
|
|
|
Signed-off-by: Thomas Renninger <trenn@suse.com>
|
|
---
|
|
modules.d/95iscsi/iscsiroot.sh | 12 ++++++++++++
|
|
1 file changed, 12 insertions(+)
|
|
|
|
diff --git a/modules.d/95iscsi/iscsiroot.sh b/modules.d/95iscsi/iscsiroot.sh
|
|
index 4412188..6ef6276 100755
|
|
--- a/modules.d/95iscsi/iscsiroot.sh
|
|
+++ b/modules.d/95iscsi/iscsiroot.sh
|
|
@@ -51,11 +51,23 @@ set_login_retries() {
|
|
|
|
handle_firmware()
|
|
{
|
|
+ local ifaces retry
|
|
+
|
|
if ! iscsiadm -m fw; then
|
|
warn "iscsiadm: Could not get list of targets from firmware."
|
|
return 1
|
|
fi
|
|
|
|
+ ifaces=( $(echo /sys/firmware/ibft/ethernet*) )
|
|
+ [ -f /tmp/session-retry ] || echo 1 > /tmp/session-retry
|
|
+ retry=$(cat /tmp/session-retry)
|
|
+
|
|
+ if [ $retry -lt ${#ifaces[*]} ]; then
|
|
+ let retry++
|
|
+ echo $retry > /tmp/session-retry
|
|
+ return 1
|
|
+ fi
|
|
+
|
|
if ! iscsiadm -m fw -l; then
|
|
warn "iscsiadm: Log-in to iscsi target failed"
|
|
fi
|
|
--
|
|
2.6.6
|
|
|